Summary: A DHCP (Dynamic Host Configuration Protocol) client.
Name: dhcpcd
Version: 1.3.18pl8
Release: 6
Copyright: GPL
Group: System Environment/Base
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/dhcpcd-1.3.18-pl8.tar.gz
#Patch0: dhcpcd-1.3.18-pl8-misc.patch
Patch1: dhcpcd-1.3.17-tr.patch
Patch2: dhcpcd-1.3.18-const.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
DHCP (Dynamic Host Configuration Protocol) is a protocol which allows
individual devices on an IP network to get their own network
configuration information (IP address, subnetmask, broadcast address,
etc.) from a DHCP server.  The overall purpose of DHCP is to make it
easier to administer a large network.  The dhcpcd package includes a 
DHCP client daemon.

If you're going to use DHCP on your network, you'll need to install
the server package (dhcp) on the server, and a client package on the
client machines. The dhcpcd package includes a DHCP client, but we
suggest that you instead install the DHCP client included in the pump
package, which provides a faster and simpler DHCP client.

%prep
%setup -q -n dhcpcd-1.3.18-pl8
#%patch0 -p1 -b .misc
%patch1 -p1 -b .tr
%patch2 -p1 -b .const

%build
%configure --sbindir=/sbin
make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/dhcpc
ln -s dhcpc $RPM_BUILD_ROOT/etc/dhcpcd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README dhcpcd-eth0.exe
/etc/dhcpcd
%dir /etc/dhcpc
/sbin/dhcpcd
%{_mandir}/man8/dhcpcd.8*

%changelog
* Mon Aug 21 2000 Bill Nottingham <notting@redhat.com>
- package up /etc/dhcpcd as a symlink instead

* Fri Jul 21 2000 Erik Troan <ewt@redhat.com>
- package up /etc/dhcpc as a symlink

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 22 2000 Bill Nottingham <notting@redhat.com>
- actually update to 1.3.18pl8

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Thu May 11 2000 Karsten Hopp <Karsten.Hopp@redhat.de>
- updated to dhcpcd-1.3.18pl8

* Thu Feb 03 2000 Erik Troan <ewt@redhat.com>
- updated to dhcpcd-1.3.18pl3
- don't statically link the binary

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix the descriptions and summary
- man pages are compressed

* Mon Oct 04 1999 Cristian Gafton <gafton@redhat.com>
- rebuild against the latest glibc in the sparc tree

* Wed Jun  2 1999 Jeff Johnson <jbj@redhat.com>
- include 802.2 token ring support patch (#2061).

* Sat May 29 1999 Jeff Johnson <jbj@redhat.com>
- include /etc/dhcpc in package (#3097).
- upgrade to 1.3.17-pl5.

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- mark default route up.

* Sun Jun  7 1998 Jeff Johnson <jbj@redhat.com>
- Fix packet alignment problems on sparc.
- build root.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May  6 1998 Alan Cox
- fixed some potential buffer exploits reported by Chris Evans

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups 

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, updated to 0.65

* Mon Apr 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed summary line... was a summary for tar.
